Skip to main content
GET
cURL

Authorizations

Authorization
string
header
required

Use your Straddle API Key in the Authorization header as Bearer to authorize API requests.

Headers

request-id
string

Optional client generated identifier to trace and debug a request.

correlation-id
string

Optional client generated identifier to trace and debug a series of requests.

Path Parameters

account_id
string<uuid>
required

Query Parameters

type
enum<string>

Filter capability requests by the specific type of capability.

Available options:
charges,
payouts,
individuals,
businesses,
signed_agreement,
internet
category
enum<string>

Filter capability requests by category.

Available options:
payment_type,
customer_type,
consent_type
status
enum<string>

Filter capability requests by their current status.

Available options:
active,
inactive,
in_review,
rejected
page_number
integer<int32>
default:1

Results page number. Starts at page 1.

page_size
integer<int32>
default:100

Page size.Max value: 1000 Page size. Max value: 1000

sort_by
string
default:id

Sort By. Sort By. Default value: 'id'.

sort_order
enum<string>
default:asc

Sort Order. Sort Order. Default value: 'asc'.

Available options:
asc,
desc

Response

OK

meta
object
required

Metadata about the API request, including an identifier, timestamp, and pagination details.

response_type
enum<string>
required

Indicates the structure of the returned content.

  • "object" means the data field contains a single JSON object.
  • "array" means the data field contains an array of objects.
  • "error" means the data field contains an error object with details of the issue.
  • "none" means no data is returned.
Available options:
object,
array,
error,
none
data
object[]
required